SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Database)  >   MySQL Vendors:   MySQL.com
MySQL Bug in ExtractValue()/UpdateXML() in Processing XPath Expressions Lets Remote Authenticated Users Deny Service
SecurityTracker Alert ID:  1021786
SecurityTracker URL:  http://securitytracker.com/id/1021786
CVE Reference:   CVE-2009-0819   (Links to External Site)
Updated:  Mar 14 2009
Original Entry Date:  Mar 4 2009
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  Exploit Included:  Yes  
Version(s): prior to 5.1.32
Description:   A vulnerability was reported in MySQL. A remote authenticated user can cause denial of service conditions.

A remote authenticated user can issue a specially crafted ExtractValue() or UpdateXML() function call with an XPath expression match to cause the target database service to crash.

Shane Bester reported this vulnerability.

Impact:   A remote authenticated user can cause denial of service conditions on the target system.
Solution:   The vendor has issued a fix (5.1.32).

The vendor's advisory is available at:

http://dev.mysql.com/doc/refman/5.1/en/news-5-1-32.html

Vendor URL:  www.mysql.com/ (Links to External Site)
Cause:   State error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC